DWMSHC(4)

NAME
dwmshc - Synopsys DesignWare Mobile Storage Host Controller

SYNOPSIS
dwmshc* at fdt?
sdmmc* at dwmshc?

DESCRIPTION
The dwmshc driver provides support for the Synopsys DesignWare Mobile Storage Host Controller core. This core is used on the Rockchip RK3528, RK3566/RK3568 and RK3588 SoCs as the eMMC controller.

The Synopsys DesignWare Mobile Storage Host Controller core implements the SD Host Controller Standard Simplified Specification, but requires non-standard support for high clock rates.

The sdmmc(4) subsystem performs SD/MMC transactions to communicate with the MMC/SD/SDIO devices connected to the controller.

SEE ALSO
intro(4), sdhc(4), sdmmc(4)

HISTORY
The dwmshc driver first appeared in OpenBSD 7.4.